//
// Module: BpCorrector
// Author: Richard Saxton
//
// Description: 
//
// Base class for a bad pixel corrector
//
// Modifications: See ChangeLog
// 
// $Id: BpCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef BpCorrector_H
#define BpCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"


class BpCorrector
{
public:

  /* Constructor */
  BpCorrector(){};

  /* Destructor */
  virtual ~BpCorrector(){};

  virtual vector<double> 
  TotalFactor( const vector<double> & energyvector) const = 0;
  
  virtual int totalPixels() const = 0;

private:


};

#endif
