//
// Module: CheckExpr
// Author: Hassan Siddiqui
//
// Description: 
//
// A simple tool to check whether a selection expression
// contains any entries of type "true".
//
// Modifications: See ChangeLog
// 
// $Id: CheckExpr.h,v 1.2 2004/08/17 14:02:56 rsaxton Exp $

#ifndef CheckExpr_H
#define CheckExpr_H

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions

// Local classes


class CheckExpr
{
public:

  /* Returns false if there is more than one
     component in string that does not contain
     the substring "true" */
  static bool check(const string & str);
  static bool hasMask(const string & str);

private:

  CheckExpr();
  
};
#endif
